!set title=Temps (réponse en dessous)
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Bernadette Perrin-Riou
email=bpr@math.u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=131
prevarcnt=130
postvarcnt=0
replycnt=21
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=temps
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Marquer les verbes conjugués.

val8=$(tmp0)
tmp0=!nosubst Donner le temps.

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=no
val15=no
val16=yes
val17=100x30
val18=split
val19=1
val20=aucune de ces possibilités
val21=clickfill
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC; margin: 2% 5%; padding: 2%;
val28=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=under
val33=yes
val34=1
val35=
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=1
val42=1
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif
val55=$[rint(17)]
tmp=!trim 
val56=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val57=!translate internal $	\
$ to ;; in $tmp
val58=
tmp=!trim 
val59=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val60=!translate internal $	\
$ to ;; in $tmp
val61=
tmp0=!record $(val54[1]) of $val39

val62=$(tmp0)
tmp=!translate internal $	$ to ; in $val62

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val63=$(tmp0)
tmp0=!getopt audio in $val63

val64=$(tmp0)
tmp0=!getopt image in $val63

val65=$(tmp0)
tmp0=!getopt title in $val63

val66=$(tmp0)
tmp0=!getopt intro in $val63

val67=$(tmp0)

!ifval $val64$val65$val66$val67  notsametext 
val68= 1 
!else
val68= 0
!endif
val69=

!ifval $val66 notsametext 
val69=$val69<p align="center">$val66</p>
!endif

!ifval $val67 notsametext 
val69=$val69 $val67
!endif

!ifval $val65 notsametext 
val69= $val69 <p align="center"><img src=$val1/$val65></p>
!endif
!if $val64 notsametext  

!ifval . isin $val64 or $val37= 
!readproc slib/media/audio $val1/$val64,player=$val38 
tmp0=$slib_out
val70= 	       $(tmp0)
!else
!readproc slib/lang/swac $val64,$val37,player=$val38 
tmp1=$slib_out
val70=$(tmp1)
!endif
val69=$val69 <p align="center">$(val70[1;1])</p>
!endif

!ifval $val68=1  
val71= $val69
!else
val71=
!endif

!ifval $val68=1 
tmp0=!line 2 to -1 of $val62

val62= $(tmp0)
!endif
!if $val42 >=2 
!for val72 = 2 to $val42 
tmp0=!record $(val54[$val72]) of $val39

val73=$(tmp0)
tmp=!translate internal $	$ to ; in $val73

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val63=$(tmp0)
tmp0=!getopt audio in $val63

val64=$(tmp0)
tmp0=!getopt image in $val63

val65=$(tmp0)
tmp0=!getopt title in $val63

val66=$(tmp0)
tmp0=!getopt intro in $val63

val67=$(tmp0)

!ifval $val64$val65$val66$val67  notsametext 
val68= 1 
!else
val68= 0
!endif

!ifval $val68=1 
tmp0=!line 2 to -1 of $val73

val73= $(tmp0)
!endif
val62=$val62 <p> $val73</p>
!next
!endif
tmp0=!embraced randitem $val62

val62=$(tmp0)
tmp0=!replace internal ??| by ??&nbsp;| in $val62

val62=$(tmp0)
tmp0=!replace internal ?? | by ??&nbsp;| in $val62

val62=$(tmp0)
!readproc slib/text/markgroup $val62 
tmp0=$slib_out
tmp=!trim $(tmp0)
val62=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $(val62[1..-4;])
val59=!translate internal $	\
$ to ;; in $tmp
val74=$(val62[-2;])
tmp0=!replace internal || by | in $val74

val74=$(tmp0)
tmp=!translate internal $	$ to ; in $val59

tmp0=!rowcnt $tmp
val75=$(tmp0)
tmp0=!rows2lines $val59

val76=$(tmp0)
tmp0=!lines2items $val76

val76=$(tmp0)
tmp0=!column 1 of $val59

val77=$(tmp0)
val62=$(val62[-3;])
tmp0=!itemcnt $val62

val61=$(tmp0)
tmp0=!items2words $val62

val78=$(tmp0)
val79=
!for val72  = 1 to $val75 
val80=$(val62[$(val59[$val72;])])
tmp0=!items2words $val80

val80=$(tmp0)
val79=$val79,$val80
!next
tmp0=!nonempty items $val79

val79=$(tmp0)
tmp0=!makelist r x for x = 2 to $val75+1

val81=$(tmp0)
val82=
val83=$[rint(0)]
!for val84  = 1 to $val61 
!if $val84 isitemof $val77 
val83=$[rint($val83+1)]
val82=$val82,$val83
!else
val82=$val82,0
!endif
!next
tmp0=!nonempty items $val82

val82=$(tmp0)

!ifval $val34=1
val85=r1
!endif

!ifval $val33 issametext yes 
val85= $val85	$val81	
!endif
val86=$[rint($val61%$val55)]
val87=$[rint(($val61-$val86)/$val55)]

!ifval $val86=0
val87=$[rint( $val87-1)]
!endif
tmp0=!makelist x for x = 1 to $val61

val88=$(tmp0)
oefsteps=$val85 
nextstep=!nosubst $val85 
!readproc oef/steps.proc
replytype1=mark
replyoption1=$val18 
replyname1=
replygood1=$val76;$val62
replytype2=$val21

replyname2=$(val79[1])
replygood2=$(val74[1]);$val52
replytype3=$val21

replyoption3=$val46 
replyname3=$(val79[2])
replygood3=$(val74[2])
replytype4=$val21

replyoption4=$val46 
replyname4=$(val79[3])
replygood4=$(val74[3])
replytype5=$val21

replyoption5=$val46 
replyname5=$(val79[4])
replygood5=$(val74[4])
replytype6=$val21

replyoption6=$val46 
replyname6=$(val79[5])
replygood6=$(val74[5])
replytype7=$val21

replyoption7=$val46 
replyname7=$(val79[6])
replygood7=$(val74[6])
replytype8=$val21

replyoption8=$val46 
replyname8=$(val79[7])
replygood8=$(val74[7])
replytype9=$val21

replyoption9=$val46 
replyname9=$(val79[8])
replygood9=$(val74[8])
replytype10=$val21

replyoption10=$val46 
replyname10=$(val79[9])
replygood10=$(val74[9])
replytype11=$val21

replyoption11=$val46 
replyname11=$(val79[10])
replygood11=$(val74[10])
replytype12=$val21

replyoption12=$val46 
replyname12=$(val79[11])
replygood12=$(val74[11])
replytype13=$val21

replyoption13=$val46 
replyname13=$(val79[12])
replygood13=$(val74[12])
replytype14=$val21

replyoption14=$val46 
replyname14=$(val79[13])
replygood14=$(val74[13])
replytype15=$val21

replyoption15=$val46 
replyname15=$(val79[14])
replygood15=$(val74[14])
replytype16=$val21

replyoption16=$val46 
replyname16=$(val79[15])
replygood16=$(val74[15])
replytype17=$val21

replyoption17=$val46 
replyname17=$(val79[16])
replygood17=$(val74[16])
replytype18=$val21

replyoption18=$val46 
replyname18=$(val79[17])
replygood18=$(val74[17])
replytype19=$val21

replyoption19=$val46 
replyname19=$(val79[18])
replygood19=$(val74[18])
replytype20=$val21

replyoption20=$val46 
replyname20=$(val79[19])
replygood20=$(val74[19])
replytype21=$val21

replyoption21=$val46 
replyname21=$(val79[20])
replygood21=$(val74[20])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val47$val53 <p>$val8</p>	$val71	   
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val49$val51	   
!if $m_step=$val34 
$()	    <div class="question">	     
!for m_h=1 to $val61 
$()	       
!read oef/embed.phtml reply 1,\h 
$() 	     
!next
$()	    </div>	    
!endif
$()	  
!if $m_step >=1+$val34 
$()	    
!if $val32=outside 
$()	     <div class="reponse">	      
!for m_s = 1 to $val61 
$()	       
!if $m_s notitemof $val76 
$()$(val62[$m_s]) 
!else
$() 	       
!if $m_s isitemof $val76 
$()	      <font size=+1 color=blue>$(val62[$m_s])</font> 
!endif
$()	       
!endif
$()	     
!next
$()	    </div>	     <p>$val9</p>	    <div class="question">	    
!for m_s= 1 to $val75 
$()	         <br> $(val79[$m_s]) :  
!read oef/embed.phtml reply $(val81[$m_s]),$val17	         $val44 
$()  	    
!next
$()	   </div>	  
!endif
$()	  
!if $val32=inside 
$()	    <p>$val9</p>	    <div class="question">	     
!for m_s = 1 to $val61 
$()	       
!if $m_s notitemof $val76 
$()$(val62[$m_s]) 
!else
$() 	       
!if $m_s isitemof $val77 
$()	       
!read oef/embed.phtml $(val81[$(val82[$m_s])]), $val17	      $val44 
$()	       
!endif
$()	      <font size=-1 color=red>$(val62[$m_s])</font> 
!endif
$()	     
!next
$()	   </div>	   
!endif
$()	   
!if $val32=under 
$()	    <div class="question">	     
!for m_u = 0 to $val87 
$()<table border=0>	    <tr>	     
!for m_v = 1 to $val55 
$()<td align="center">	       
!if $(val88[$val55*$m_u+$m_v]) isitemof $val77 	         or $(val88[$val55*$m_u+$m_v]) notitemof $val76 
$() 
!endif
$()	        
!if $val55*$m_u+$m_v <= $val61 
$() 	          
!if $(val88[$val55*$m_u+$m_v]) isitemof $val76 
$()<font color=blue> 
!endif
$()	           $(val62[$val55*$m_u+$m_v]) 
!else
$() &nbsp; 
!endif
$()	           
!if $(val88[$val55*$m_u+$m_v]) isitemof $val76 
$()</font> 
!endif
$()	       </td>	       
!next
$()	     </tr><tr>	      
!for m_v = 1 to $val55 
$()	       
!if $(val88[$val55*$m_u+$m_v]) isitemof $val77 	         or $(val88[$val55*$m_u+$m_v]) notitemof $val76 
$() 
!endif
$()	        <td align="center">	       
!if $(val88[$val55*$m_u+$m_v]) isitemof $val77 
$() 	          
!read oef/embed.phtml $(val81[$(val82[$(val88[$val55*$m_u+$m_v])])]), $val17	         $val44 
$()	       
!else
$() &nbsp; 
!endif
$()	      </td>	      
!next
$()	    </tr><tr><td colspan=$val55><hr></td></tr>	       </table>  
!next
$()		   </div>	   
!endif
$()	  
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,9,17,32,34,44,47,48,49,50,51,53,55,61,62,71,75,76,77,79,81,82,87,88
embedcnt=6
